/* 

blog.css
Author: Ewan Rowley-Shibata

Stylesheet for the blog pages.

*/

main {
    background-color: gainsboro;
}

/* Title */
main .title {
    width: 100%;
    display: flex;
    gap: 1em;

    align-items: center;
}

main .title a {
    margin-left: auto;
}

/* Posts Container */
.container {
    display: flex;
    flex-wrap: wrap;
    gap: 1em;
}

.container .post {
    background-color: white;
    
    border: 1px solid #c8c8c8;
    border-radius: 10px;

    padding: 1em;

    min-width: 400px;
    width: calc(50% - 2.70em);

    cursor: pointer;

    transition: all 0.2s;
}

.container .post:hover {
    border: 1px solid var(--primary-bright);
}

@media screen and (max-width: 950px) {
    .container .post {
        min-width: unset;
        width: 100%;
    }
}

/* Post data */
.post .category {
    color: gray;
    margin: 0;

    font-size: 0.75em;

    letter-spacing: 5px;
    text-transform: uppercase;
}

.post .article-title {
    font-family: var(--font-heading);
    font-size: 2em;
    font-weight: bold;
    
    color: var(--secondary);
    margin-top: 0.5em;
    margin-bottom: 0;
}

.post .tags {
    display: flex;
    flex-wrap: wrap;
    gap: .5em;

    margin: 0;
}

.post .tags p {
    background-color: #e2bdde;
    color: var(--primary-bright);

    font-weight: bold;
    font-size: 0.75em;

    padding: 3px;
    border-radius: 3px;

    margin-bottom: 0;
}

.post .summary {
    margin: 2em 0;
}

.post .author {
    display: flex;
    gap: 1em;

    margin: 0;
}

.post .author img {
    width: 40px;
    height: 40px;
}

.post .author .information {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.post .author .information * {
    margin: 0;
}

.post .author .information .name {
    font-size: 1em;
}

.post .author .information time {
    font-size: 0.75em;
}